%define _name libvisual-bmp

Name: beep-visualization-libvisual
Version: 0.2.0
Release: alt1

Summary: Beep Media Player plugin for the libvisual audio visualisation framework.
Group: Sound
License: GPL
Url: http://bmp-plugins.berlios.de/bmp-songchange.html

Source:	http://download.berlios.de/bmp-plugins/%_name-%version.tar.gz

%define beep_ver 0.9.7

Requires: beep >= %beep_ver
BuildPreReq: libbeep-devel >= %beep_ver

# Automatically added by buildreq on Wed Dec 15 2004
#BuildRequires: ORBit2-devel esound gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel libGConf2-devel libSDL-devel libatk-devel libbeep-devel libbonobo2-devel libgtk+2-devel libpango-devel libstdc++-devel libvisual-devel pkgconfig xorg-x11-devel xorg-x11-libs
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel libGConf2-devel libSDL-devel libatk-devel libbeep-devel libbonobo2-devel libgtk+2-devel libpango-devel libstdc++-devel libvisual-devel pkgconfig

%description
%name is a Beep Media Player plugin for the libvisual audio
visualisation framework.

%prep
%setup -q -n %_name-%version

%build
%configure --disable-static
%make_build

%install
%make_install DESTDIR=%buildroot install

# remove none-packaged files.
%__rm -f %buildroot%_beep_visualization_dir/*.la

%find_lang %_name

%files -f %_name.lang
%_beep_visualization_dir/*.so
%dir %_datadir/%_name
%_datadir/%_name/*
%doc AUTHORS ChangeLog NEWS README

%changelog
* Tue Mar 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.2.0-alt1
- 0.2.0

* Wed Dec 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.1.0-alt1.1
- fixed buildreqs.

* Fri Nov 26 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.1.0-alt1
- First build for Sisyphus.

